Package com.castlabs.android.player.filter

## Class VideoConfigurationTrackFilter

- java.lang.Object
- - com.castlabs.android.player.filter.VideoConfigurationTrackFilter

- All Implemented Interfaces:
    `TrackFilter`

      public class VideoConfigurationTrackFilter
      extends Object
      implements TrackFilter

  TrackFilter which uses `VideoFilterConfiguration`.
  Since:
    4.2.26

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoConfigurationTrackFilter​(VideoFilterConfiguration contentCfg, VideoFilterConfiguration adsCfg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `filterTrack​(FilterFormat track)` |
    `VideoFilterConfiguration` | `getAdsConfiguration()` |
    `VideoFilterConfiguration` | `getConfiguration​(boolean ads)` | Returns the configuration.
    `VideoFilterConfiguration` | `getContentConfiguration()` |
    `void` | `setAdsConfiguration​(VideoFilterConfiguration adsConfiguration)` |
    `void` | `setContentConfiguration​(VideoFilterConfiguration contentConfiguration)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoConfigurationTrackFilter

          public VideoConfigurationTrackFilter​(VideoFilterConfiguration contentCfg,
                                               VideoFilterConfiguration adsCfg)

  - ### Method Detail

    - #### setContentConfiguration

          public void setContentConfiguration​(VideoFilterConfiguration contentConfiguration)

    - #### setAdsConfiguration

          public void setAdsConfiguration​(VideoFilterConfiguration adsConfiguration)

    - #### getAdsConfiguration

          public VideoFilterConfiguration getAdsConfiguration()

    - #### getContentConfiguration

          public VideoFilterConfiguration getContentConfiguration()

    - #### getConfiguration

          public VideoFilterConfiguration getConfiguration​(boolean ads)

      Returns the configuration. In case an ad configuration is requested and such is not `null`, it will be returned
      Parameters:
        `ads` - whether to try and return the ads configuration
      Returns:
        the configuration.

    - #### filterTrack

          public void filterTrack​(@NonNull
                                  FilterFormat track)

      Specified by:
        `filterTrack` in interface `TrackFilter`
      Parameters:
        `track` - the track to filter, or keep